# Create a department

{% hint style="info" %}
&#x20;This endpoint requires `departments_rw` scope.
{% endhint %}

## new department

<mark style="color:green;">`POST`</mark> `https://www.welcomekit.co/api/v1/external/departments`

#### Query Parameters

| Name                                                      | Type    | Description                     |
| --------------------------------------------------------- | ------- | ------------------------------- |
| organization\_reference<mark style="color:red;">\*</mark> | string  | Organization reference          |
| name<mark style="color:red;">\*</mark>                    | string  | Name                            |
| slug                                                      | string  | Slug (used on careers websites) |
| is\_active                                                | boolean | Department active?              |
| description                                               | string  | Description                     |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "id": 42,
  "name": "Tech",
  "is_active": true,
  "slug": "tech",
  "description": "Foo bar"
}
```

{% endtab %}
{% endtabs %}

NB: the slug is automatically generated from the department’s name

Request example

```
curl -X POST "https://www.welcomekit.co/api/v1/external/departments" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d @- <<EOF
{
  "organization_reference": "Pg4eV6k",
  "name": "Tech",
  "is_active": true,
  "description": "Foo bar"
}
EOF
```
